var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconKnowledgeChartTableComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-knowledge_chart-table").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 16 16" }, rest, { ref: ref }),
        React.createElement("path", { fillRule: "evenodd", d: "M2.133 4.267c0-1.179.955-2.134 2.134-2.134h7.466c1.178 0 2.134.955 2.134 2.134v7.466a2.133 2.133 0 0 1-2.134 2.134H4.267a2.133 2.133 0 0 1-2.134-2.134V4.267ZM4.267 3.2c-.59 0-1.067.478-1.067 1.067v7.466c0 .59.478 1.067 1.067 1.067h7.466c.59 0 1.067-.478 1.067-1.067V4.267c0-.59-.478-1.067-1.067-1.067H4.267Z", clipRule: "evenodd" }),
        React.createElement("path", { fillRule: "evenodd", d: "M6.533 5.8v7.4H5.467V5.8h1.066Zm4 0v7.4H9.467V5.8h1.066Z", clipRule: "evenodd" }),
        React.createElement("path", { fillRule: "evenodd", d: "M2.8 5.467h10.4v1.066H2.8V5.467Zm0 4h10.4v1.066H2.8V9.467Z", clipRule: "evenodd" }));
}
var IconKnowledgeChartTable = React.forwardRef(IconKnowledgeChartTableComponent);
export default IconKnowledgeChartTable;
